List address book entries
curl --request GET \
--url https://sandbox.groundtech.co/v2/address-book/entries \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.groundtech.co/v2/address-book/entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.groundtech.co/v2/address-book/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entries": [
{
"id": "a1b2c3d4-0000-4000-8000-000000000001",
"organizationId": "0a1b2c3d-0000-4000-8000-000000000000",
"address": "0x52908400098527886E0F7030069857D2E4169EE7",
"chain": "arbitrum",
"label": "Ops treasury",
"addedBy": "9f8e7d6c-0000-4000-8000-000000000002",
"addedAt": "2026-06-09T12:00:00.000Z"
}
],
"nextCursor": null,
"hasMore": false
}{
"error": "<string>"
}{
"error": "Unauthenticated request",
"message": "Missing or invalid bearer token"
}{
"error": "Rate limit exceeded",
"code": "rate_limited"
}{
"error": "Internal server error",
"code": "internal_error"
}Address Book
List address book entries
Returns the organization’s withdrawal address book entries. A non-empty address book means withdrawals are restricted to listed destinations.
GET
/
v2
/
address-book
/
entries
List address book entries
List withdrawal address book entries for the authenticated organization.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Opaque cursor from a prior response.
Maximum number of entries to return.
Required range:
1 <= x <= 200⌘I